Aspirerelease/17.0
Watch Aspire live streamsDocsTry Aspire

EntraIdApplicationResource.WithExtraQueryParameter

Method
📦 Aspire.Hosting.Azure.EntraId v17.0.0-preview.1.26565.2
type EntraIdApplicationResource interface {
// ... omitted for brevity
WithExtraQueryParameter(
key string,
value string,
) EntraIdApplicationResource
}

Signature

methodWithExtraQueryParameterbuilder
Adds an extra query parameter to send to the identity provider.
WithExtraQueryParameter(
key string,
value string,
) EntraIdApplicationResource
keystringThe query parameter key.
valuestringThe query parameter value.
EntraIdApplicationResource

The resource builder for chaining.

Returns a handle; failures surface later via Err().

Defined on

This method is defined on the following type: